import { PackageManagerPlugin } from "./manager/PackageManagerPlugin";
export declare type Options = {
    rootDir: string;
    checkOnly: boolean;
    plugins?: PackageManagerPlugin[];
    tsConfigPathFinder?(location: string): string;
};
export declare type ToProjectReferencesResult = {
    ok: true;
} | {
    ok: false;
    aggregateError: {
        message: string;
        errors: Error[];
    };
};
export declare const toProjectReferences: (options: Options) => {
    ok: boolean;
    aggregateError: {
        message: string;
        errors: Error[];
    };
} | {
    ok: boolean;
    aggregateError?: undefined;
};
